This is an automated email from the ASF dual-hosted git repository.

driazati pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/tvm.git


The following commit(s) were added to refs/heads/main by this push:
     new 6fb961a945 [CI] Include static builds of the runtime as part of CI 
(#13612)
6fb961a945 is described below

commit 6fb961a94582a40a0882dee4a5dee86067a833f4
Author: Florin Blanaru <[email protected]>
AuthorDate: Wed Feb 8 00:05:05 2023 +0000

    [CI] Include static builds of the runtime as part of CI (#13612)
    
    This PR partially addresses #13526 by adding static builds of tvm_runtime.a 
on Windows and Linux.
    
    Tested at https://github.com/gigiblender/tvm/actions/runs/3694697105
---
 .github/workflows/main.yml                | 34 ++++++++++++++++++++++++++++++
 tests/scripts/task_config_build_static.sh | 35 +++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/.github/workflows/main.yml b/.github/workflows/main.yml
index b03a1795ef..2d48c557ff 100644
--- a/.github/workflows/main.yml
+++ b/.github/workflows/main.yml
@@ -97,6 +97,40 @@ jobs:
         run: >-
           python -m pytest -v tests/python/all-platform-minimal-test
 
+  Windows-Static-Runtime:
+    if: ${{ github.repository == 'apache/tvm' }}
+    runs-on: windows-2019
+    steps:
+      - uses: actions/checkout@v2
+        with:
+          submodules: 'recursive'
+      - name: Set up environment
+        uses: ./.github/actions/setup
+      - name: Build static TVM runtime
+        shell: bash -l {0}
+        run: |
+          tests/scripts/task_config_build_static.sh build
+          cd build
+          cmake .. -A x64 -DCMAKE_CONFIGURATION_TYPES="Release"
+          cmake --build . --config Release --target runtime
+
+  Linux-Static-Runtime:
+    if: ${{ github.repository == 'apache/tvm' }}
+    runs-on: Ubuntu-20.04
+    steps:
+      - uses: actions/checkout@v2
+        with:
+          submodules: 'recursive'
+      - name: Set up environment
+        uses: ./.github/actions/setup
+      - name: Build static TVM runtime
+        shell: bash -l {0}
+        run: |
+          tests/scripts/task_config_build_static.sh build
+          cd build
+          cmake ..
+          cmake --build . --config Release --target runtime
+
   Android:
     if: ${{ github.repository == 'apache/tvm' }}
     runs-on: Ubuntu-20.04
diff --git a/tests/scripts/task_config_build_static.sh 
b/tests/scripts/task_config_build_static.sh
new file mode 100755
index 0000000000..7d5c1f5959
--- /dev/null
+++ b/tests/scripts/task_config_build_static.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+BUILD_DIR=$1
+mkdir -p "$BUILD_DIR"
+cd "$BUILD_DIR"
+cp ../cmake/config.cmake .
+
+echo set\(USE_LIBBACKTRACE OFF\) >> config.cmake
+echo set\(USE_SORT ON\) >> config.cmake
+echo set\(USE_CUDA OFF\) >> config.cmake
+echo set\(BUILD_STATIC_RUNTIME ON\) >> config.cmake
+echo set\(USE_FALLBACK_STL_MAP ON\) >> config.cmake
+echo set\(USE_MSVC_MT ON\) >> config.cmake
+echo set\(USE_RPC OFF\) >> config.cmake
+echo set\(USE_GRAPH_EXECUTOR OFF\) >> config.cmake
+echo set\(USE_PROFILER OFF\) >> config.cmake
+echo set\(USE_AOT_EXECUTOR OFF\) >> config.cmake

Reply via email to